Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LineStream Class Reference

This is a special ostream that writes to a memory buffer, like ostrstream. More...

`#include "lineStream.h"`

Inheritance diagram for LineStream:

## Public Member Functions
std::string | get_line ()
| Extracts and returns the next line (or partial line) of text available in the LineStream object.
bool | has_newline () const
| Returns true if the line of text most recently returned by get_line() was written out with a terminating newline, or false if a newline character has not yet been written to the LineStream.
bool | is_text_available () const
| Returns true if there is at least one line of text (or even a partial line) available in the LineStream object.

## Detailed Description

This is a special ostream that writes to a memory buffer, like ostrstream.

However, its contents can be continuously extracted as a sequence of lines of text.

Unlike ostrstream, which can only be extracted from once (and then the buffer freezes and it can no longer be written to), the LineStream is not otherwise affected when a line of text is extracted. More text can still be written to it and continuously extracted.

Definition at line 31 of file lineStream.h.

## Constructor & Destructor Documentation

## ◆ LineStream()

LineStream::LineStream | ( |  | ) |
| inline

Definition at line 17 of file lineStream.I.

## Member Function Documentation

## ◆ get_line()

std::string LineStream::get_line | ( |  | ) |
| inline

Extracts and returns the next line (or partial line) of text available in the LineStream object.

Once the line has been extracted, you may call has_newline() to determine whether or not there was an explicit newline character written following this line.

Definition at line 37 of file lineStream.I.

## ◆ has_newline()

bool LineStream::has_newline | ( |  | ) | const
| inline

Returns true if the line of text most recently returned by get_line() was written out with a terminating newline, or false if a newline character has not yet been written to the LineStream.

Definition at line 47 of file lineStream.I.

## ◆ is_text_available()

bool LineStream::is_text_available | ( |  | ) | const
| inline

Returns true if there is at least one line of text (or even a partial line) available in the LineStream object.

If this returns true, the line may then be retrieved via get_line().

Definition at line 26 of file lineStream.I.

The documentation for this class was generated from the following files:

- dtool/src/dtoolutil/lineStream.h
- dtool/src/dtoolutil/lineStream.I